"sudo apt-get.."

1. "sudo apt-get.."

Pedro Vítor Alves
sskfms

(usa Debian)

Enviado em 17/05/2017 - 17:46h

Não sei bem dizer por que eu migrei para o Linux, mas eis o que aconteceu.
Deve soar como algo ridículo, mas enfim..
Estava eu tentando instalar o suporte a texturas S3TC, quando me deparo com algo que vem acontecendo frequência.
###########################################################################################################

[email protected]:~$ sudo apt-get install libtxc-dxtn-s2tc0:i386
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Note, a seleccionar 'libtxc-dxtn-s2tc:i386' em vez de 'libtxc-dxtn-s2tc0:i386'
libtxc-dxtn-s2tc:i386 is already the newest version (1.0+git20151227-2).
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.


O que tá acontecendo por aqui ?


  


2. Re: "sudo apt-get.."

Ruan
ru4n

(usa Fedora)

Enviado em 17/05/2017 - 19:12h

Pacote já esta instalado no sistema.
--
Linux Counter: #596371


3. Re: "sudo apt-get.."

Rodrigo Namba Dake
shundake

(usa Arch Linux)

Enviado em 17/05/2017 - 23:58h

sskfms escreveu:

Não sei bem dizer por que eu migrei para o Linux, mas eis o que aconteceu.
Deve soar como algo ridículo, mas enfim..
Estava eu tentando instalar o suporte a texturas S3TC, quando me deparo com algo que vem acontecendo frequência.
###########################################################################################################

[email protected]:~$ sudo apt-get install libtxc-dxtn-s2tc0:i386
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Note, a seleccionar 'libtxc-dxtn-s2tc:i386' em vez de 'libtxc-dxtn-s2tc0:i386'
libtxc-dxtn-s2tc:i386 is already the newest version (1.0+git20151227-2).
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.


O que tá acontecendo por aqui ?


Você "solicitou" o seu gerenciador de pacotes que ele instalasse 'libtxc-dxtn-s2tc0:i386', no entanto, o pacote não está com o nome que você digitou, mas sim 'libtxc-dxtn-s2tc:i386'. Assim, o gerenciador de pacotes assumiu que o que você queria instalar seria 'libtxc-dxtn-s2tc:i386' (seja porque o nome que você digitou seja uma referência ou porque é o nome antigo do pacote).
No entanto, o pacote a ser instalado já está em sua última versão disponível no repositório do sistema, o que faz com que o gerenciador de pacotes ignore-o e não instale novamente.






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts